Skip to main content
POST
/
v1
/
integrations
/
{integrationId}
/
auto-configure
PHP
declare(strict_types=1);

require 'vendor/autoload.php';

use novu;

$sdk = novu\Novu::builder()
    ->setSecurity(
        'YOUR_SECRET_KEY_HERE'
    )
    ->build();



$response = $sdk->integrations->integrationsControllerAutoConfigureIntegration(
    integrationId: '<id>'
);

if ($response->autoConfigureIntegrationResponseDto !== null) {
    // handle response
}
{
  "success": true,
  "message": "<string>",
  "integration": {}
}

Authorizations

Authorization
string
header
required

API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".

Headers

idempotency-key
string

A header for idempotency purposes

Path Parameters

integrationId
string
required

Response

OK

success
boolean
required

Indicates whether the auto-configuration was successful

message
string

Optional message describing the result or any errors that occurred

integration
object

The updated configurations after auto-configuration